/***************************************************************************
 *   Copyright (C) 2007 by    *
 *      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef abi_gun_vacuum_vlv_H
#define abi_gun_vacuum_vlv_H

#include "ui_abi_gun_vacuum_vlv.h"
#include <tango.h>
#include <QProcess>
#include <QSettings>

class abi_gun_vacuum_vlv: public QWidget
{
    Q_OBJECT

public:
    abi_gun_vacuum_vlv(QWidget * =NULL);
    ~abi_gun_vacuum_vlv();

public slots:
    void open_legend();

private:
    Ui::abi_gun_vacuum_vlv ui;
    QString imgpath;
    void line_config(TTable *);
    QProcess *legend_process;
};


#endif
